Search purchasable organization phone numbers
curl --request POST \
--url https://api.leadping.ai/phone-numbers/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.leadping.ai/phone-numbers/search"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/phone-numbers/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/phone-numbers/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.leadping.ai/phone-numbers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/phone-numbers/search"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/phone-numbers/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"numbers": [
{
"number": "<string>",
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": 123,
"longitude": 123
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
}
}
]
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "The request could not be completed."
}PhoneNumbers
Search purchasable organization phone numbers
Searches available phone numbers for purchase, applying country, area, and capability filters for lead communication setup.
POST
/
phone-numbers
/
search
Search purchasable organization phone numbers
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Body
application/jsonapplication/*+json
Area code, locality, capabilities, and quantity filters for available phone numbers.
Defines the fields clients can send when working with phone number search.
Response
Returns the phone number search response.
Describes phone number search data returned by Leadping.
Phone numbers returned or evaluated by this phone number search response.
Show child attributes
Show child attributes

